org.apache.xerces.impl.dv.util

## Class ByteListImpl

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList
    - - org.apache.xerces.impl.dv.util.ByteListImpl

- All Implemented Interfaces:
    java.lang.Iterable, java.util.Collection, java.util.List, org.apache.xerces.xs.datatypes.ByteList

      public class ByteListImpl
      extends java.util.AbstractList
      implements org.apache.xerces.xs.datatypes.ByteList

  Implementation of `org.apache.xerces.xs.datatypes.ByteList`.
  Version:
    $Id: ByteListImpl.java 1024038 2010-10-18 22:06:35Z sandygao $
  Author:
    Ankit Pasricha, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `canonical`
    `protected byte[]` | `data`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteListImpl(byte[] data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(byte item)` Checks if the `byte` `item` is a member of this list.
    `java.lang.Object` | `get(int index)`
    `int` | `getLength()` The number of `byte`s in the list.
    `byte` | `item(int index)` Returns the `index`th item in the collection.
    `int` | `size()`
    `byte[]` | `toByteArray()` Construct and return a byte array for bytes contained in this list.

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, subList, toArray, toArray`

- - ### Field Detail

    - #### data

          protected final byte[] data

    - #### canonical

          protected java.lang.String canonical

  - ### Constructor Detail

    - #### ByteListImpl

          public ByteListImpl(byte[] data)

  - ### Method Detail

    - #### getLength

          public int getLength()

      The number of `byte`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.
      Specified by:
        `getLength` in interface `org.apache.xerces.xs.datatypes.ByteList`

    - #### contains

          public boolean contains(byte item)

      Checks if the `byte` `item` is a member of this list.
      Specified by:
        `contains` in interface `org.apache.xerces.xs.datatypes.ByteList`
      Parameters:
        `item` - `byte` whose presence in this list is to be tested.
      Returns:
        True if this list contains the `byte` `item`.

    - #### item

          public byte item(int index)
                    throws org.apache.xerces.xs.XSException

      Returns the `index`th item in the collection. The index starts at 0.
      Specified by:
        `item` in interface `org.apache.xerces.xs.datatypes.ByteList`
      Parameters:
        `index` - index into the collection.
      Returns:
        The `byte` at the `index`th position in the `ByteList`.
      Throws:
        `org.apache.xerces.xs.XSException` - INDEX_SIZE_ERR: if `index` is greater than or equal to the number of objects in the list.

    - #### get

          public java.lang.Object get(int index)

      Specified by:
        `get` in interface `java.util.List`
      Specified by:
        `get` in class `java.util.AbstractList`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection`
      Specified by:
        `size` in interface `java.util.List`
      Specified by:
        `size` in class `java.util.AbstractCollection`

    - #### toByteArray

          public byte[] toByteArray()

      Description copied from interface: `org.apache.xerces.xs.datatypes.ByteList`
      Construct and return a byte array for bytes contained in this list.
      Specified by:
        `toByteArray` in interface `org.apache.xerces.xs.datatypes.ByteList`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.